#!/bin/sh

#
#  Create an object 'kithira.andromeda.nl' in the database and
#  parse a piece of a syslog file without specifying a time.
#  This tests wether an improper time still creates valid data.

cd ..

if psql gnucomo_test -f src/create.sql
then
   psql gnucomo_test -q -c "insert into object (objectname) values ('kithira.andromeda.nl')"
   psql gnucomo_test -c "select * from object"
   src/gcm_input -c gnucomo_test -h kithira.andromeda.nl -d 'sep 5 2002' <test/messages
   psql gnucomo_test -c "select * from log"
   psql gnucomo_test -f src/destroy.sql
   exit $result
else
   echo Can not create test database
   exit 1
fi
